Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Class AdEventTrackerBase

    java.lang.Object
      |
      +--com.bea.p13n.ad.AdEventTrackerBase

All Implemented Interfaces:
  AdEventTracker

Direct Known Subclasses:
  AdTracking

public class AdEventTrackerBase
extends Object
implements AdEventTracker

Base class which does the basic work of raising events within the ad package.

Constructor Summary
`AdEventTrackerBase()`

Method Summary
`protected static EventService` | `getEventService()` Return the EventService at java:comp/env/ejb/EventService.
`void` | `raiseClickThruEvent(String userId, HttpServletRequest request, String containerUID, String contextUID, String placeholder, String contPath)` Raise a ClickContentEvent when an ad is clicked on
`void` | `raiseDisplayEvent(String userId, HttpServletRequest request, String containerUID, String contextUID, String placeholder, String contPath)` Raise a DisplayContentEvent when an ad is displayed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdEventTrackerBase

    public AdEventTrackerBase()

Method Detail

### raiseDisplayEvent

    public void raiseDisplayEvent(String userId,
                                  HttpServletRequest request,
                                  String containerUID,
                                  String contextUID,
                                  String placeholder,
                                  String contPath)

  Raise a DisplayContentEvent when an ad is displayed.

  Specified by:
    `raiseDisplayEvent` in interface `AdEventTracker`
  Parameters:
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contPath` - the content path of the ad

### raiseClickThruEvent

    public void raiseClickThruEvent(String userId,
                                    HttpServletRequest request,
                                    String containerUID,
                                    String contextUID,
                                    String placeholder,
                                    String contPath)

  Raise a ClickContentEvent when an ad is clicked on

  Specified by:
    `raiseClickThruEvent` in interface `AdEventTracker`
  Parameters:
    `userId` - the user id
    `request` - the HTTP request
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder,
    `contPath` - the content path of the ad

### getEventService

    protected static EventService getEventService()
                                           throws CreateException,
                                                  NamingException,
                                                  RemoteException

  Return the EventService at java:comp/env/ejb/EventService.

    `CreateException`
    `NamingException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved